# stl_map.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file stl_map.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define _MAP_H

## Functions

- template<typename _Key, typename _Tp, typename _Compare, typename _Alloc> bool operator!= (const map< _Key, _Tp, _Compare, _Alloc > &__x, const map< _Key, _Tp, _Compare, _Alloc > &__y)
- template<typename _Key, typename _Tp, typename _Compare, typename _Alloc> bool operator< (const map< _Key, _Tp, _Compare, _Alloc > &__x, const map< _Key, _Tp, _Compare, _Alloc > &__y)
- template<typename _Key, typename _Tp, typename _Compare, typename _Alloc> bool operator<= (const map< _Key, _Tp, _Compare, _Alloc > &__x, const map< _Key, _Tp, _Compare, _Alloc > &__y)
- template<typename _Key, typename _Tp, typename _Compare, typename _Alloc> bool operator== (const map< _Key, _Tp, _Compare, _Alloc > &__x, const map< _Key, _Tp, _Compare, _Alloc > &__y)
- template<typename _Key, typename _Tp, typename _Compare, typename _Alloc> bool operator> (const map< _Key, _Tp, _Compare, _Alloc > &__x, const map< _Key, _Tp, _Compare, _Alloc > &__y)
- template<typename _Key, typename _Tp, typename _Compare, typename _Alloc> bool operator>= (const map< _Key, _Tp, _Compare, _Alloc > &__x, const map< _Key, _Tp, _Compare, _Alloc > &__y)
- template<typename _Key, typename _Tp, typename _Compare, typename _Alloc> void swap (map< _Key, _Tp, _Compare, _Alloc > &__x, map< _Key, _Tp, _Compare, _Alloc > &__y)

## Function Documentation

bool std::operator!= | ( | const map< _Key, _Tp, _Compare, _Alloc > & | __x,
|  | const map< _Key, _Tp, _Compare, _Alloc > & | __y
| ) | `[inline]`

| Based on operator==. Definition at line 662 of file stl_map.h.

bool std::operator< | ( | const map< _Key, _Tp, _Compare, _Alloc > & | __x,
|  | const map< _Key, _Tp, _Compare, _Alloc > & | __y
| ) | `[inline]`

Map ordering relation.

Parameters:

  | x | A map.
  | y | A map of the same type as x.

Returns:
  True iff x is lexicographically less than y.

This is a total ordering relation. It is linear in the size of the maps. The elements must be comparable with `<`.

See std::lexicographical_compare() for how the determination is made.

Definition at line 655 of file stl_map.h.

bool std::operator<= | ( | const map< _Key, _Tp, _Compare, _Alloc > & | __x,
|  | const map< _Key, _Tp, _Compare, _Alloc > & | __y
| ) | `[inline]`

| Based on operator<. Definition at line 676 of file stl_map.h.

bool std::operator== | ( | const map< _Key, _Tp, _Compare, _Alloc > & | __x,
|  | const map< _Key, _Tp, _Compare, _Alloc > & | __y
| ) | `[inline]`

Map equality comparison.

Parameters:

  | x | A map.
  | y | A map of the same type as x.

Returns:
  True iff the size and elements of the maps are equal.

This is an equivalence relation. It is linear in the size of the maps. Maps are considered equivalent if their sizes are equal, and if corresponding elements compare equal.

Definition at line 638 of file stl_map.h.

References map::_M_t.

bool std::operator> | ( | const map< _Key, _Tp, _Compare, _Alloc > & | __x,
|  | const map< _Key, _Tp, _Compare, _Alloc > & | __y
| ) | `[inline]`

| Based on operator<. Definition at line 669 of file stl_map.h.

bool std::operator>= | ( | const map< _Key, _Tp, _Compare, _Alloc > & | __x,
|  | const map< _Key, _Tp, _Compare, _Alloc > & | __y
| ) | `[inline]`

| Based on operator<. Definition at line 683 of file stl_map.h.

void std::swap | ( | map< _Key, _Tp, _Compare, _Alloc > & | __x,
|  | map< _Key, _Tp, _Compare, _Alloc > & | __y
| ) | `[inline]`

| See std::map::swap(). Definition at line 690 of file stl_map.h. References map::swap().